
import UIKit

class MyHeader: UICollectionReusableView {
   var textView = UILabel()
   
   override init(frame: CGRect) {
      super.init(frame: frame)
      textView.translatesAutoresizingMaskIntoConstraints = false
      textView.font = UIFont.preferredFont(forTextStyle: .headline)
      self.addSubview(textView)

      textView.centerXAnchor.constraint(equalTo: self.centerXAnchor).isActive = true
      textView.topAnchor.constraint(equalTo: self.topAnchor, constant: 16).isActive = true
      textView.bottomAnchor.constraint(equalTo: self.bottomAnchor, constant: -16).isActive = true
   }
   required init?(coder: NSCoder) {
      fatalError("Error")
   }
}

